Bug 407581 - Review Request: quesoglc - The OpenGL Character Renderer
Review Request: quesoglc - The OpenGL Character Renderer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-01 18:11 EST by Karol Trzcionka
Modified: 2007-12-28 13:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-28 13:31:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Karol Trzcionka 2007-12-01 18:11:50 EST
Spec URL: http://karlik.nonlogic.org/quesoglc/quesoglc.spec
SRPM URL: http://karlik.nonlogic.org/quesoglc/quesoglc-0.6.5-1.fc8.src.rpm
Description: 
The OpenGL Character Renderer (GLC) is a state machine that provides OpenGL
programs with character rendering services via an application programming
interface (API).
Comment 1 Mamoru TASAKA 2007-12-09 12:12:46 EST
For 0.6.5-1:

* Possibly missing BuildRequires
  From:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=282900
  http://koji.fedoraproject.org/koji/getfile?taskID=282900&name=build.log
---------------------------------------------------------
   239  checking for FRIBIDI... no
   240  checking for fribidi_log2vis in -lfribidi... no

   249  checking GL/glew.h usability... no
   250  checking GL/glew.h presence... no
   251  checking for GL/glew.h... no
   252  checking for glewContextInit in -lGLEW... no
   253  configure: GLEW will be built and embedded

   258  checking for IceConnectionNumber in -lICE... no
   259  checking for GLUT library... no
   260  configure: WARNING: The GLUT library could not be found : example
programs and some tests will not be built
---------------------------------------------------------
  - fribidi-devel, glew-devel, libICE-devel are all available
    on Fedora.
  - And perhaps the result of line 259 is not what you expect.

* dependency for -devel package
  - %_includedir/GL/glc.h contains
---------------------------------------------------------
    93  #if defined __APPLE__ && defined __MACH__
    94  #include <OpenGL/gl.h>
    95  #else
    96  #include <GL/gl.h>
    97  #endif
---------------------------------------------------------
    This means quesoglc-devel requires mesa-libGL-devel.
    ! Note:
      For (Build)Requires, it is better to use
      "(Build)Requires: libGL-devel" rather than mesa-libGL-devel.

* %check
  - This tarball contains tests/ directory. If some test programs
    can be executed, please create %check section and execute
    some test programs there.

* Encodings
  - The following documents are not encoded in UTF-8. Please
    change to UTF-8.
---------------------------------------------------------
THANKS
---------------------------------------------------------

* Documents
  - Maybe files under docs/ or examples useful as %doc ?
Comment 2 Mamoru TASAKA 2007-12-18 08:56:04 EST
ping?
Comment 3 Karol Trzcionka 2007-12-19 08:58:19 EST
Sorry for 'incactive' request. At now I have a problem with BuildRequires.
Exactly problem is glew. Probably quesoglc was written for other version or with
other compile flags. Queso uses "glewContextInit" which is declared in glew.h
(from glew-devel) only if there is defined GLEW_MX ( /usr/include/GL/glew.h
lines 11055 to 11081). It breaks test compile in configure and quesoglc is
compiled with included glew (in quesoglc sources).
I hope I fix it in a few days.
Comment 4 Karol Trzcionka 2007-12-22 14:37:21 EST
(In reply to comment #1)
> For 0.6.5-1:
> 
> * Possibly missing BuildRequires
>   From:
>   http://koji.fedoraproject.org/koji/taskinfo?taskID=282900
>   http://koji.fedoraproject.org/koji/getfile?taskID=282900&name=build.log
> ---------------------------------------------------------
>    239  checking for FRIBIDI... no
>    240  checking for fribidi_log2vis in -lfribidi... no
> 
>    249  checking GL/glew.h usability... no
>    250  checking GL/glew.h presence... no
>    251  checking for GL/glew.h... no
>    252  checking for glewContextInit in -lGLEW... no
>    253  configure: GLEW will be built and embedded
> 
>    258  checking for IceConnectionNumber in -lICE... no
>    259  checking for GLUT library... no
>    260  configure: WARNING: The GLUT library could not be found : example
> programs and some tests will not be built
> ---------------------------------------------------------
>   - fribidi-devel, glew-devel, libICE-devel are all available
>     on Fedora.
>   - And perhaps the result of line 259 is not what you expect.
I hope it is fixed :) I removed glew headers from tarball and patch sources.
> * dependency for -devel package
>   - %_includedir/GL/glc.h contains
> ---------------------------------------------------------
>     93  #if defined __APPLE__ && defined __MACH__
>     94  #include <OpenGL/gl.h>
>     95  #else
>     96  #include <GL/gl.h>
>     97  #endif
> ---------------------------------------------------------
>     This means quesoglc-devel requires mesa-libGL-devel.
>     ! Note:
>       For (Build)Requires, it is better to use
>       "(Build)Requires: libGL-devel" rather than mesa-libGL-devel.
Added/Changed
> * %check
>   - This tarball contains tests/ directory. If some test programs
>     can be executed, please create %check section and execute
>     some test programs there.
Make runs all tests so I cannot see any sense to run it again in %check
> * Encodings
>   - The following documents are not encoded in UTF-8. Please
>     change to UTF-8.
> ---------------------------------------------------------
> THANKS
> ---------------------------------------------------------
file returns me "/usr/share/doc/quesoglc-0.6.5/THANKS: UTF-8 Unicode English text"
> * Documents
>   - Maybe files under docs/ or examples useful as %doc ?
Added html generated by doxygen
New files:
http://karlik.nonlogic.org/quesoglc/quesoglc.spec
http://karlik.nonlogic.org/quesoglc/quesoglc-0.6.5-2.fc8.src.rpm
Comment 5 Mamoru TASAKA 2007-12-23 10:05:27 EST
For 0.6.5-2:

* GLEW BuildRequires
(In reply to comment #4)
> (In reply to comment #1)
> > * Possibly missing BuildRequires
> I hope it is fixed :) I removed glew headers from tarball and patch sources.

  - Still I see the following:
---------------------------------------------------------
   263  checking for GL/glew.h... yes
   264  checking for glewContextInit in -lGLEW... no
   265  configure: GLEW will be built and embedded
---------------------------------------------------------
    Is this okay?

* Other possibly missing BuildRequires:
  - From build.log:
---------------------------------------------------------
   600  Preprocessing /builddir/build/BUILD/quesoglc-0.6.5/src/render.c...
   601  Parsingsh: epstopdf: command not found
   602  Error: Problems running epstopdf. Check your TeX installation!

   730  Generating example indexsh: latex: command not found
   731  Problems running latex. Check your installation or look for typos in
_formulas.tex and check _formulas.log!
   732  sh: dvips: command not found
   733  Problems running dvips. Check your installation!
---------------------------------------------------------
   Perhaps "BuildRequires: tetex-latex" is needed.

* Redundant BuildRequires
  - The following BuildRequires are redundant.
    libGLU-devel - required by glew-devel, freeglut-devel
    freetype-devel - required by fontconfig-devel
    libICE-devel - requried by libSM-devel


* %check
> > * %check
> >   - This tarball contains tests/ directory. If some test programs
> >     can be executed, please create %check section and execute
> >     some test programs there.
> Make runs all tests so I cannot see any sense to run it again in %check

  - I cannot see this. Doing "make" _creates_ test programs but does not
    try to actually execute them.

> > * Encodings
> >   - The following documents are not encoded in UTF-8. Please
> >     change to UTF-8.
> > ---------------------------------------------------------
> > THANKS
> > ---------------------------------------------------------
> file returns me "/usr/share/doc/quesoglc-0.6.5/THANKS: UTF-8 Unicode English text"
  = Perhaps I was half asleep....

! koji rebuilt rpms and logs are gained from:
http://koji.fedoraproject.org/scratch/mtasaka/task_307484/
Comment 6 Karol Trzcionka 2007-12-23 17:12:36 EST
(In reply to comment #5)
> For 0.6.5-2:
> 
> * GLEW BuildRequires
> (In reply to comment #4)
> > (In reply to comment #1)
> > > * Possibly missing BuildRequires
> > I hope it is fixed :) I removed glew headers from tarball and patch sources.
> 
>   - Still I see the following:
> ---------------------------------------------------------
>    263  checking for GL/glew.h... yes
>    264  checking for glewContextInit in -lGLEW... no
>    265  configure: GLEW will be built and embedded
> ---------------------------------------------------------
>     Is this okay?
yes, this is okay, headers are removed from tarball and in spec are replaced by
symlink to headers from glew-devel
> * Other possibly missing BuildRequires:
>   - From build.log:
> ---------------------------------------------------------
>    600  Preprocessing /builddir/build/BUILD/quesoglc-0.6.5/src/render.c...
>    601  Parsingsh: epstopdf: command not found
>    602  Error: Problems running epstopdf. Check your TeX installation!
> 
>    730  Generating example indexsh: latex: command not found
>    731  Problems running latex. Check your installation or look for typos in
> _formulas.tex and check _formulas.log!
>    732  sh: dvips: command not found
>    733  Problems running dvips. Check your installation!
> ---------------------------------------------------------
>    Perhaps "BuildRequires: tetex-latex" is needed.
I don't need it, only html included so latex can be ignored.
> * Redundant BuildRequires
>   - The following BuildRequires are redundant.
>     libGLU-devel - required by glew-devel, freeglut-devel
>     freetype-devel - required by fontconfig-devel
>     libICE-devel - requried by libSM-devel
removed
> 
> * %check
> > > * %check
> > >   - This tarball contains tests/ directory. If some test programs
> > >     can be executed, please create %check section and execute
> > >     some test programs there.
> > Make runs all tests so I cannot see any sense to run it again in %check
> 
>   - I cannot see this. Doing "make" _creates_ test programs but does not
>     try to actually execute them.
Add
http://karlik.nonlogic.org/quesoglc/quesoglc.spec
http://karlik.nonlogic.org/quesoglc/quesoglc-0.6.5-3.fc8.src.rpm

Comment 7 Mamoru TASAKA 2007-12-24 06:40:53 EST
I have not checked -3 in detail yet, however rebuild (check) failed
on x86_64 and ppc64. Would you examine whether this librariy has some
wrong code or the test itself is wrong?

http://koji.fedoraproject.org/koji/taskinfo?taskID=308706
Comment 8 Mamoru TASAKA 2007-12-24 07:24:50 EST
Note:
It seems that tests pass on i386, ppc.
Comment 9 Karol Trzcionka 2007-12-27 13:15:47 EST
I can see in svn tests are changed and most of them are using "display" so I
think good idea is removing %check. I am waiting for your opinion.
Comment 10 Mamoru TASAKA 2007-12-27 13:42:35 EST
Well, in that case, I don't object to removing %check. So
please upload the new srpm?
Comment 12 Mamoru TASAKA 2007-12-27 20:51:40 EST
Please change the permisson of generate-tarball.sh to 0644
when importing to CVS.

---------------------------------------------------------------------
   This package (quesoglc) is APPROVED by me
---------------------------------------------------------------------
Comment 13 Karol Trzcionka 2007-12-28 07:09:37 EST
Thanks for review.
Comment 14 Karol Trzcionka 2007-12-28 07:11:26 EST
New Package CVS Request
=======================
Package Name: quesoglc
Short Description: The OpenGL Character Renderer
Owners: karlik
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 15 Kevin Fenzi 2007-12-28 12:41:53 EST
cvs done.
Comment 16 Karol Trzcionka 2007-12-28 13:31:15 EST
uploaded and built

Note You need to log in before you can comment on or make changes to this bug.